| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Private Attributes | Static Private Attributes

# IG::Lib::SerializerJson Class Reference

Helper class for JSON serialization and deserialization. This class enables formatting of the generated JSON with propper indentation, which is not the case with its base class. JSON Serializer has several limitations, such as:

- cyclic references are not supported.
- rectangular arrays are not supported. Jagged arrays must be used.

More...
Inheritance diagram for IG::Lib::SerializerJson:
[legend]
Collaboration diagram for IG::Lib::SerializerJson:
[legend]

List of all members.

## Public Member Functions
| SerializerJson ()
| SerializerJson (bool formatted)
override void | Serialize< T > (T serializedObject, Stream serializationStream)
| Serializes the specified object and outputs it to a stream.
## Properties
static new SerializerJson | Global`[get]`
| Gets a global helper object for JSON serialization.
bool | Formatted`[get, set]`
JsonFormatter | Formatter`[get, set]`
## Private Attributes
bool | _formatted
JsonFormatter | _formatter
## Static Private Attributes
static SerializerJson | _global = new SerializerJson()

## Detailed Description

Helper class for JSON serialization and deserialization. This class enables formatting of the generated JSON with propper indentation, which is not the case with its base class. JSON Serializer has several limitations, such as:

- cyclic references are not supported.
- rectangular arrays are not supported. Jagged arrays must be used.

$A Igor jun09;

## Constructor & Destructor Documentation

IG::Lib::SerializerJson::SerializerJson | ( |  | ) | `[inline]`

IG::Lib::SerializerJson::SerializerJson | ( | bool | formatted | ) | `[inline]`

## Member Function Documentation

override void IG::Lib::SerializerJson::Serialize< T > | ( | T | serializedObject,
|  | Stream | serializationStream
| ) |  | `[inline]`

Serializes the specified object and outputs it to a stream.

Template Parameters:

  T | Type of the object to be serialized.

Parameters:

  serializedObject | Object to be serialized.
  serializationStream | Stream on which the serialized object is output.

Reimplemented from IG::Lib::SerializerJsonBase.

## Member Data Documentation

SerializerJson IG::Lib::SerializerJson::_global = new SerializerJson()`[static, private]`

Reimplemented from IG::Lib::SerializerJsonBase.

bool IG::Lib::SerializerJson::_formatted`[private]`

JsonFormatter IG::Lib::SerializerJson::_formatter`[private]`

## Property Documentation

new SerializerJson IG::Lib::SerializerJson::Global`[static, get]`

Gets a global helper object for JSON serialization.

Reimplemented from IG::Lib::SerializerJsonBase.

bool IG::Lib::SerializerJson::Formatted`[get, set]`

JsonFormatter IG::Lib::SerializerJson::Formatter`[get, set]`

The documentation for this class was generated from the following file:

- SerializerJson.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events